All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class DialogContainerComponent

    com.sas.awt.DialogContainerComponent

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  Dialog

    public abstract class DialogContainerComponent

implements ContainerInterface

See Also:
  Serialized Form

Constructor Summary
`DialogContainerComponent(java.awt.Frame parent)`
`DialogContainerComponent(java.awt.Frame parent, java.lang.String title)`
`DialogContainerComponent(java.awt.Frame parent, java.lang.String title, boolean modal)`

Method Summary
`void` | `addNotify()`
`java.lang.Object` | `clone()` Return a clone of the object.
`int` | `dragEnter(java.awt.Point point, int representation, int keyState, java.util.Vector data)` dragEnter is called when the mouse cursor enters a component in webAF.
`void` | `dragLeave()` dragLeave is called when the cursor leaves the component.
`int` | `dragOver(java.awt.Point point, int representation, int keyState, java.util.Vector data)` dragOver is called when a model or view is dragged over a component.
`com.sas.DesignTimeDropResult` | `drop(java.awt.Point point, int representation, int keyState, java.util.Vector data)` drop is alled when a model or view is dropped on a component.
`ContainerInterfaceSupportInfo` | `getContainerInterfaceSupportInfo()` This method is not intended to be called by users.
`ErrorHandlerInterface` | `getErrorHandler()`
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`java.awt.Insets` | `getInsets()`
`ValidationInterface` | `getValidator()`
`boolean` | `isIDEDnDDropBarrier()`
`boolean` | `isIDEDnDDropTarget()`
`boolean` | `isValid()`
`void` | `removeNotify()`
`void` | `setContainerInterfaceSupportInfo(ContainerInterfaceSupportInfo info)` This method is not intended to be called by users.
`void` | `setDefaultValues()` This method sets the initial property values to their default values.
`void` | `setErrorHandler(ErrorHandlerInterface errorHandler)`
`void` | `setIDEDnDDropBarrier(boolean isDropBarrier)`
`void` | `setIDEDnDDropTarget(boolean isDropTarget)`
`void` | `setInsets(java.awt.Insets insets)`
`void` | `setInsets(int top, int left, int bottom, int right)`
`void` | `setValidator(ValidationInterface validator)`
`void` | `superAddNotify()` This method is not intended to be used by users.
`java.awt.Insets` | `superGetInsets()` This method is not intended to be used by users.
`void` | `superRemoveNotify()` This method is not intended to be used by users.
`void` | `superSetDefaultValues()` This method is not intended to be used by users.

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Constructor Detail

### DialogContainerComponent

    public DialogContainerComponent(java.awt.Frame parent)

### DialogContainerComponent

    public DialogContainerComponent(java.awt.Frame parent,
                                    java.lang.String title,
                                    boolean modal)

### DialogContainerComponent

    public DialogContainerComponent(java.awt.Frame parent,
                                    java.lang.String title)

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

### setDefaultValues

    public void setDefaultValues()

  Description copied from interface: `ComponentInterface`
  This method sets the initial property values to their default values. It is called by initializeComponent. Subclasses of the Component class or classes that implement the ComponentInterface should override setDefaultValues to perform their initialization.

  Note that the designTime property is not initialized when setDefaultValues is called, so initialization which depends on the value of designTime should take place in initializeComponent.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `DialogVisualComponent`
  See Also:
    `ContainerInterface.setDefaultValues()`

### getInsets

    public java.awt.Insets getInsets()

  Specified by:
    `getInsets` in interface `ContainerInterface`
  Overrides:
    `getInsets` in class `java.awt.Container`

### addNotify

    public void addNotify()

  Specified by:
    `addNotify` in interface `ContainerInterface`
  Overrides:
    `addNotify` in class `java.awt.Dialog`

### removeNotify

    public void removeNotify()

  Specified by:
    `removeNotify` in interface `ContainerInterface`
  Overrides:
    `removeNotify` in class `java.awt.Window`

### setInsets

    public void setInsets(java.awt.Insets insets)

  Specified by:
    `setInsets` in interface `ContainerInterface`

### setInsets

    public void setInsets(int top,
                          int left,
                          int bottom,
                          int right)

  Specified by:
    `setInsets` in interface `ContainerInterface`

### dragOver

    public int dragOver(java.awt.Point point,
                        int representation,
                        int keyState,
                        java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragOver is called when a model or view is dragged over a component.

  Specified by:
    `dragOver` in interface `ContainerInterface`
  Specified by:
    `dragOver` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    One of com.sas.DesignTimeDropResult.{dragIndeterminate,dragMove,dragCopy,dragLink,dragNone}

### dragEnter

    public int dragEnter(java.awt.Point point,
                         int representation,
                         int keyState,
                         java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragEnter is called when the mouse cursor enters a component in webAF. The component may choose to change it's visual representation when something is being dragged within it.

  NOTE: dragEnter is currently not functioning properly due to a problem in the C/Java event handling. It may not be called on a component, or it may not always be called on a component at the expected time.

  Specified by:
    `dragEnter` in interface `ContainerInterface`
  Specified by:
    `dragEnter` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    One of com.sas.DesignTimeDropResult.{dragIndeterminate,dragMove,dragCopy,dragLink,dragNone}

### dragLeave

    public void dragLeave()

  Description copied from interface: `DesignTimeDropTargetInterface`
  dragLeave is called when the cursor leaves the component.

  NOTE: dragLeave is currently not functioning properly due to a problem in the C/Java event handling. It may not be called on a component, or it may not always be called on a component at the expected time.

  Specified by:
    `dragLeave` in interface `ContainerInterface`
  Specified by:
    `dragLeave` in interface `com.sas.DesignTimeDropTargetInterface`

### drop

    public com.sas.DesignTimeDropResult drop(java.awt.Point point,
                                             int representation,
                                             int keyState,
                                             java.util.Vector data)

  Description copied from interface: `DesignTimeDropTargetInterface`
  drop is alled when a model or view is dropped on a component.

  Specified by:
    `drop` in interface `ContainerInterface`
  Specified by:
    `drop` in interface `com.sas.DesignTimeDropTargetInterface`
  Parameters:
    `point` - The x/y coordinates of the mouse cursor inside the component.
    `representation` - One of com.sas.DesignTimeDropResult.{representationComponent,representationModel,representationAttribute,representationViewer}
    `keyState` - Unused.
    `data` - A Vector containing information about the drag.
  Returns:
    An instance of com.sas.DesignTimeDropResult or null to indicate that a drop was refused.

### isIDEDnDDropTarget

    public boolean isIDEDnDDropTarget()

  Specified by:
    `isIDEDnDDropTarget` in interface `ContainerInterface`

### setIDEDnDDropTarget

    public void setIDEDnDDropTarget(boolean isDropTarget)

  Specified by:
    `setIDEDnDDropTarget` in interface `ContainerInterface`

### isIDEDnDDropBarrier

    public boolean isIDEDnDDropBarrier()

  Specified by:
    `isIDEDnDDropBarrier` in interface `ContainerInterface`

### setIDEDnDDropBarrier

    public void setIDEDnDDropBarrier(boolean isDropBarrier)

  Specified by:
    `setIDEDnDDropBarrier` in interface `ContainerInterface`

### superSetDefaultValues

    public final void superSetDefaultValues()

  This method is not intended to be used by users. It is only used by ContainerInterfaceSupport.

  Calls the superclasses addNotify() method. This is used to avoid an infinite recursive loop in ContainerInterfaceSupport.

  Specified by:
    `superSetDefaultValues` in interface `ContainerInterface`
  See Also:
    `DialogVisualComponent.paint(java.awt.Graphics)`

### superAddNotify

    public final void superAddNotify()

  This method is not intended to be used by users. It is only used by ContainerInterfaceSupport.

  Calls the superclasses addNotify() method. This is used to avoid an infinite recursive loop in ContainerInterfaceSupport.

  Specified by:
    `superAddNotify` in interface `ContainerInterface`
  See Also:
    `DialogVisualComponent.paint(java.awt.Graphics)`

### superRemoveNotify

    public final void superRemoveNotify()

  This method is not intended to be used by users. It is only used by ContainerInterfaceSupport.

  Calls the superclasses removeNotify() method. This is used to avoid an infinite recursive loop in ContainerInterfaceSupport.

  Specified by:
    `superRemoveNotify` in interface `ContainerInterface`
  See Also:
    `DialogVisualComponent.paint(java.awt.Graphics)`

### superGetInsets

    public final java.awt.Insets superGetInsets()

  This method is not intended to be used by users. It is only used by ContainerInterfaceSupport.

  Calls the superclasses getInsets() method. This is used to avoid an infinite recursive loop in ContainerInterfaceSupport.

  Specified by:
    `superGetInsets` in interface `ContainerInterface`
  See Also:
    `DialogVisualComponent.paint(java.awt.Graphics)`

### getErrorHandler

    public ErrorHandlerInterface getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `ValidatorInterface`

### setErrorHandler

    public void setErrorHandler(ErrorHandlerInterface errorHandler)

  Specified by:
    `setErrorHandler` in interface `ValidatorInterface`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in interface `ValidatorInterface`
  Overrides:
    `isValid` in class `java.awt.Component`

### getValidator

    public ValidationInterface getValidator()

  Specified by:
    `getValidator` in interface `ValidatorInterface`

### setValidator

    public void setValidator(ValidationInterface validator)

  Specified by:
    `setValidator` in interface `ValidatorInterface`

### getContainerInterfaceSupportInfo

    public ContainerInterfaceSupportInfo getContainerInterfaceSupportInfo()

  Description copied from interface: `ContainerInterface`
  This method is not intended to be called by users. The ContainerInterfaceSupport class uses this method. Returns the info object which holds instance data for objects implementing the ContainerInterface interface.

  Specified by:
    `getContainerInterfaceSupportInfo` in interface `ContainerInterface`
  Returns:
    The instance of ContainerInterfaceSupportInfo for the component.
  See Also:
    `ContainerInterface.getContainerInterfaceSupportInfo()`

### setContainerInterfaceSupportInfo

    public void setContainerInterfaceSupportInfo(ContainerInterfaceSupportInfo info)

  Description copied from interface: `ContainerInterface`
  This method is not intended to be called by users. The ContainerInterfaceSupport class uses this method. Sets the info object which holds instance data for objects implementing the ContainerInterface interface.

  Specified by:
    `setContainerInterfaceSupportInfo` in interface `ContainerInterface`
  Parameters:
    `info` - The instance of ContainerInterfaceSupportInfo for the component.
  See Also:
    `ContainerInterface.setContainerInterfaceSupportInfo(com.sas.awt.ContainerInterfaceSupportInfo)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Return a clone of the object.

  Overrides:
    `clone` in class `DialogVisualComponent`
  Returns:
    a clone of the object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the model attached to the component being cloned will not allow the clone to attach.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.